/Users/bernard/b20/bsoft/include/rwmd.h(3)

NAME
/Users/bernard/b20/bsoft/include/rwmd.h - Header to read and write molecular dynamics parameters in STAR format.

SYNOPSIS

#include 'rwatomprop.h'
#include 'Vector3.h'

  Classes
struct Bbondtype
struct Bangletype
struct Bmd

  Functions
Bmd * md_init ()
Initializes a molecular dynamics structure.
Bmd * md_init_with_types ()
Initializes a molecular dynamics structure.
Bmd * read_md_parameters (Bstring &filename)
Reading molecular dynamics parameters from STAR files.
int write_md_parameters (Bstring &filename, Bmd *md)
Writing molecular dynamics parameters to a STAR file.
int md_kill (Bmd *md)
Deallocates a molecular dynamics structure.

Detailed Description

Header to read and write molecular dynamics parameters in STAR format.

Author:
    Bernard Heymann

Date:
    Created: 20030919

    Modified: 20060424

Definition in file rwmd.h.

Function Documentation

  Bmd* md_init ()

Initializes a molecular dynamics structure.

Returns:
    Bmd* molecular dynamics structure.

    The coefficients for the Lennard-Jones Van der Waals interaction are
    defined as:
        VdWcoeff1 = 1/12
        VdWcoeff2 = 1/6

Definition at line 28 of file rwmd.cpp.

  Bmd* md_init_with_types ()

Initializes a molecular dynamics structure.

Returns:
    Bmd* molecular dynamics structure.

    The coefficients for the Lennard-Jones Van der Waals interaction are
    defined as:
        VdWcoeff1 = 1/12
        VdWcoeff2 = 1/6

Definition at line 51 of file rwmd.cpp.

  int md_kill (Bmd * md)

Deallocates a molecular dynamics structure.

Parameters:
    *md molecular dynamics structure.

Returns:
    int 0.

    All linked lists within the structure is also deallocated.

Definition at line 417 of file rwmd.cpp.

  Bmd* read_md_parameters (Bstring & filename)

Reading molecular dynamics parameters from STAR files.

Parameters:
    &filename file name (or comma-delimited list).

Returns:
    Bmd* molecular dynamics structure.

Definition at line 80 of file rwmd.cpp.

  int write_md_parameters (Bstring & filename, Bmd * md)

Writing molecular dynamics parameters to a STAR file.

Parameters:
    &filename file name (or comma-delimited list).
    *md molecular dynamics parameters structure.

Returns:
    int error code (<0 means failure).

Definition at line 237 of file rwmd.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.